
%global meadversion 1.6.3
%global namedversion 1.6.3.redhat-2
%global meadalpha .redhat_2
%global meadrel .1
%global serial 13
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package wsdl4j}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.6.3.redhat-2

Name:           %{?scl_prefix}wsdl4j
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        WSDL4J
Group:          Development/Java

%if %with mead
Source100: wsdl4j-1.6.3.redhat-2-scm-sources.zip
Source102: wsdl4j-1.6.3.redhat-2.pom
Source103: wsdl4j-1.6.3.redhat-2-javadoc.jar
Source104: wsdl4j-1.6.3.redhat-2-sources.jar
Source105: wsdl4j-1.6.3.redhat-2-project-sources.tar.gz
Source106: wsdl4j-1.6.3.redhat-2.jar
%endif

License:        CPL
URL:            http://sf.net/projects/wsdl4j
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Java stub generator for WSDL.

%if %with javadoc
%package javadoc
Summary:        Javadoc for wsdl4j
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n wsdl4j -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/wsdl4j-%{namedversion}.jar %{buildroot}%{_javadir}/wsdl4j-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wsdl4j-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wsdl4j-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wsdl4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wsdl4j-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/wsdl4j-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/wsdl4j-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/wsdl4j-%{namedversion} -x META-INF/\*
%{__ln_s} wsdl4j-%{namedversion} %{buildroot}%{_javadocdir}/wsdl4j
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc license.html readme.txt
%{_javadir}/wsdl4j-%{namedversion}.jar
%{_javadir}/wsdl4j.jar
%if %with javadoc
%{_javadir}/wsdl4j-%{namedversion}-javadoc.jar
%{_javadir}/wsdl4j-javadoc.jar
%endif
%{_javadir}/wsdl4j-%{namedversion}-sources.jar
%{_javadir}/wsdl4j-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/wsdl4j-%{namedversion}
%{_javadocdir}/wsdl4j
%endif

%changelog
* Tue Jun 26 2018 Yong Yang <yyang@redhat.com> - 1.6.3-13.redhat_2.1
- Rewrap for 7.2.0

* Wed May 13 2015 Fernando Nasser <fnasser@redhat.com> - 1.6.3-7.redhat_2.1
- Re-wrap for tool debugging purposes only

* Tue May 12 2015 Fernando Nasser <fnasser@redhat.com> - 1.6.3-6.redhat_2.1
- Second attempt at wrapping also for RHEL-6

* Tue May 12 2015 Fernando Nasser <fnasser@redhat.com> - 1.6.3-5.redhat_2.1
- Re-wrap to try and et RHEL-6 wrapper built

* Tue May 12 2015 David Walluck <dwalluck@redhat.com> - 1.6.3-4.redhat_2.1
- release

